$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.228.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.228.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1EA2FA8BC8FFB207A66350C3A731CA539B19AE52DB0831EB04B6D821EDFA0A5E'
  checksumType = 'sha256'
  checksum64 = '1EA2FA8BC8FFB207A66350C3A731CA539B19AE52DB0831EB04B6D821EDFA0A5E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.228-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
